<?xml version="1.0" encoding="UTF-8"?>
<ItemInfo Name="test.bootable" Label="测试BootstrapTable">
    <Fields>
        <Field Name="name" Type="string" Required="true" Unique="false" Minimum="5" Maximum="5">
            <Label>姓名</Label>
            <Default>default_name</Default>
            <Lookup From="bootable2" ForeignField="name" As="look" List="false"/>
            <Fields>
                <Field Name="phone"/>
            </Fields>
        </Field>
        <Field Name="content" Type="string" Required="true" Unique="false" Minimum="0" Maximum="0">
            <Label>文本</Label>
            <Default/>
        </Field>
        <Field Name="number" Type="int64" Required="true" Unique="false" Minimum="0" Maximum="0">
            <Label>整数</Label>
            <Enums/>
            <Default/>
        </Field>
        <Field Name="float" Type="float64" Required="true" Unique="false" Minimum="0" Maximum="0" Decimal="2">
            <Label>小数</Label>
            <Enums/>
            <Default/>
            <Sets>
                <Set Name="newName" OP="$sum" Value="number,float"/>
            </Sets>
        </Field>
        <Field Name="array" Type="array" Required="true" Unique="false" Minimum="0" Maximum="0" Decimal="2">
            <Label>数组</Label>
            <Enums/>
            <Default/>
        </Field>
        <Field Name="oid" Type="objectId" Required="true" Unique="false" Minimum="0" Maximum="0" Decimal="2">
            <Label>ObjectID</Label>
            <Enums/>
            <Default/>
        </Field>
        <Field Name="object" Type="object" Required="true" Unique="false" Minimum="0" Maximum="0" Decimal="2">
            <Label>object</Label>
            <Fields>
                <Field Name="o1" Type="string"/>
                <Field Name="o2" Type="int64"/>
            </Fields>
            <Enums/>
            <Default/>
        </Field>
        <Field Name="objectArray" Type="array" Required="true" Unique="false" Minimum="0" Maximum="0" Items="object">
            <Label>objectArray</Label>
            <Fields>
                <Field Name="acc" Type="string">
                    <Label>测试AAC</Label>
                </Field>
                <Field Name="bee" Type="int64"/>
            </Fields>
            <Enums/>
            <Default/>
        </Field>
    </Fields>
</ItemInfo>